Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# WoopsiUI::StickyButton Class Reference

`#include <stickybutton.h>`

Inheritance diagram for WoopsiUI::StickyButton:

List of all members.

## Public Member Functions
| StickyButton (s16 x, s16 y, u16 width, u16 height, const WoopsiString &text, GadgetStyle *style=NULL)
void | setStuckDown (bool isStuckDown)
## Protected Member Functions
virtual void | drawOutline (GraphicsPort *port)
virtual | ~StickyButton ()
| StickyButton (const StickyButton &button)
## Protected Attributes
bool | _isStuckDown

## Detailed Description

Button that sticks down when clicked.

## Constructor & Destructor Documentation

WoopsiUI::StickyButton::StickyButton | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | const WoopsiString & | text,
|  | GadgetStyle * | style = `NULL`
| ) |  |

Constructor for buttons that display a string.

Parameters:

  x | The x co-ordinate of the button, relative to its parent.
  y | The y co-ordinate of the button, relative to its parent.
  width | The width of the button.
  height | The height of the button.
  text | The text for the button to display.
  style | The style that the button should use. If this is not specified, the button will use the values stored in the global defaultGadgetStyle object. The button will copy the properties of the style into its own internal style object.

virtual WoopsiUI::StickyButton::~StickyButton | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::StickyButton::StickyButton | ( | const StickyButton & | button | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::StickyButton::drawOutline | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draws the outline of the button.

Parameters:

  port | Graphics port to draw to.

void WoopsiUI::StickyButton::setStuckDown | ( | bool | isStuckDown | ) |

Sets the key's stuck down state. If this is true, the key has an inwards-bevelled border when drawn. If it is false, the key has an outwards-bevelled border.

Parameters:

  isStuckDown | The new stuck down state.

## Member Data Documentation

bool WoopsiUI::StickyButton::_isStuckDown`[protected]`

True if the key is stuck down (ie. is Ctrl key and is active)

The documentation for this class was generated from the following file:

- stickybutton.h